fair::mq::ofi::Context Class Reference

Transport-wide context. More...

`#include <fairmq/ofi/Context.h>`

## Classes

struct | Address

## Public Member Functions

| Context (int numberIoThreads=2)
auto | CreateOfiEndpoint () -> fid_ep *
auto | CreateOfiCompletionQueue (Direction dir) -> fid_cq *
auto | GetZmqVersion () const -> std::string
auto | GetOfiApiVersion () const -> std::string
auto | GetPbVersion () const -> std::string
auto | GetBoostVersion () const -> std::string
auto | GetZmqContext () const -> void *
auto | GetIoContext () -> boost::asio::io_service &
auto | InsertAddressVector (sockaddr_in address) -> fi_addr_t
auto | AddressVectorLookup (fi_addr_t address) -> sockaddr_in
auto | InitOfi (ConnectionType type, Address address) -> void

## Static Public Member Functions

static auto | ConvertAddress (std::string address) -> Address
static auto | ConvertAddress (Address address) -> sockaddr_in
static auto | ConvertAddress (sockaddr_in address) -> Address
static auto | VerifyAddress (const std::string &address) -> Address

## Detailed Description

Transport-wide context.

Todo:
  TODO insert long description

The documentation for this class was generated from the following files:

- fairmq/ofi/Context.h
- fairmq/ofi/Context.cxx